
Redmine - Feature #3108

set parent automatically for new pages
Status: Closed Start date: 2009-04-02

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

There is a regular way to create new wiki pages is by adding a link to non-existing page and than click this link. As for now after

saving new page the parent field is empty.

It will be great if parent page will be the previous one (the page that we come from) by default.

Related issues:

Related to Redmine - Feature #6449: Edit a wiki page's parent on the edit page Closed 2010-09-21

Has duplicate Redmine - Feature #6654: Make new wiki page as a  child to page... Closed 2010-10-13

Associated revisions

Revision 8255 - 2011-12-17 12:44 - Jean-Philippe Lang

Option to set parent automatically for new wiki pages (#3108).

History

#1 - 2009-04-03 13:55 - Mischa The Evil

Vlad Ershov wrote:

[...] As for now after saving new page the parent field is empty.

It will be great if parent page will be the previous one (the page that we come from) by default.

 This seems a great option to me, though I don't think it should be the default option. I rather would like it to be implemented as another option along

the "Submit" and "Preview" control-elements. Like the implementation of the "Create" and "Create and continue" controls when creating new issues...

#2 - 2009-04-04 10:41 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2009-04-09 03:21 - Eric Davis

I agree with Mischa, making it the default option can cause a user to create a deep wiki without them knowing.  For example:

homepage

|_ Page one

   |_ Page two

      |_ Page three

#4 - 2009-05-22 22:45 - Jean-Baptiste Barth

- File 3108_automatic_parent.diff added

See attached file for a proposal. But maybe it would be better to let administrators at project level decide if parent page is set automatically or not by

default. Or even decide that parent page is set automatically "below X levels" in the hierarchy.. Any thought about this ?

#5 - 2009-05-24 16:07 - Jean-Baptiste Barth

- File 3108_automatic_parent_2.diff added

Tiny update:

button visible only parent parameter can be set

better place for @page modification
#6 - 2009-05-24 16:07 - Jean-Baptiste Barth

- File deleted (3108_automatic_parent.diff)

#7 - 2009-05-24 21:45 - Jean-Baptiste Barth

- File 3108_automatic_parent_with_tests.diff added

Third version with some functional tests and a bug fixed (buggued preview with the previous one). Maybe I will find other bugs in the next days, let me

know if you find some...

#8 - 2009-05-24 21:45 - Jean-Baptiste Barth

- File deleted (3108_automatic_parent_2.diff)

#9 - 2010-10-13 21:21 - Terence Mill

+1 for that feature

I agree with Mischa

#10 - 2011-12-17 12:49 - Jean-Philippe Lang

- File parent_page.png added

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Feature added in r8255. I added a checkbox instead of a new submit button, so this can be changed later to a regular field for parent page selection (

#6449).

Just check the check box when creating the page:

 

Files

3108_automatic_parent_with_tests.diff 6.82 KB 2009-05-24 Jean-Baptiste Barth

parent_page.png 1.9 KB 2011-12-17 Jean-Philippe Lang
